libzypp: zyppng::RpmmdWorkflows Namespace Reference

libzypp 17.36.6

Functions
zyppng::RpmmdWorkflows Namespace Reference

Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk. More...

## Functions
AsyncOpRef< expected< zypp::RepoStatus > > | repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
expected< zypp::RepoStatus > | repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Detailed Description

Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk.

## Function Documentation

## ◆ repoStatus() [1/2]

AsyncOpRef< expected< zypp::RepoStatus > > zyppng::RpmmdWorkflows::repoStatus | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 74 of file rpmmd.cc.

## ◆ repoStatus() [2/2]

expected< zypp::RepoStatus > zyppng::RpmmdWorkflows::repoStatus | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle )

Definition at line 79 of file rpmmd.cc.

## ◆ download() [1/2]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::RpmmdWorkflows::download | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 171 of file rpmmd.cc.

## ◆ download() [2/2]

expected< repo::SyncDownloadContextRef > zyppng::RpmmdWorkflows::download | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 176 of file rpmmd.cc.